<?php
$properties['vas_home'] = '[VAS_HOME]';
$properties['sgbd'] = 'pgsql';
$properties['database'] = '[DATABASE]';
$properties['server'] = '[SERVER]';
$properties['port'] = [PORT];
$properties['schema_framework'] = 's_vitis';
if (!empty($_SERVER["HTTP_HOST"]))
    $properties['web_server_name'] = 'https://' . $_SERVER["HTTP_HOST"];
else
    $properties['web_server_name'] = 'https://' . strtolower(gethostname());
$properties['log_directories'] ['Apache'] = "[APACHE]/logs";
$properties['log_directories'] ['Php'] = $properties['vas_home']."/server/php/log";
$properties['log_directories'] ['Application'] = $properties['vas_home']."/log";
$properties['websocket_server'] = '127.0.0.1';
$properties['websocket_port'] = [WEBSOCKET_PORT];
$properties['websocket_alias'] = 'websocket[ENV]';
$properties['environment_alias'] = '[ENV]';
$properties["vitis_owner_login"] = 'u_vitis';
$properties["vitis_owner_pass"] = '[U_VITIS_PASSWORD]';
//inscription automatique
$properties['advanced_login_page'] = false;
$properties['automated_sign_up'] = false;
$properties['mail_tag_subject'] = '[VITIS] ';
$properties['applink_redirection'] = $properties['web_server_name'] . '/';
//propriétés existentes dans GTF
//$properties['mail_sender'] = 'vitis@domaine.com';
//$properties['nickname_sender'] = 'Vitis';
//$properties['smtp_host'] = 'smtp.domaine.com';
//$properties['smtp_port'] = 26;
//$properties['smtp_authentification'] = true;
//$properties['smtp_login'] = 'login@domaine.com';
//$properties['smtp_password'] = 'password';
$properties['SaveSentMail'] = false; 
//si true remplir le bloc en dessous
$properties['imapBotSender_host'] = "imap.domaine.com";
$properties['imapBotSender_port'] = 993;
$properties['imapBotSender_login'] = "login@domaine.com";
$properties['imapBotSender_pwd'] = "password";
$properties['imapBotSender_encrypt'] = "ssl";
//si automated_sign_up === false
$properties["admin_sign_up"] = "login@domaine.com"; 
//pour l'inscription
$properties["google_private_captcha"] = "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"; 
//privilèges à donner aux nouveaux inscrits
$properties['sign_up_automated_roles'] = array();
//liste des personne à mettre en copie du mail de notification si validation par administrateur (trois separateurs possibles ,| |;)
$properties['sign_up_CC'] = "";
$properties["application_title"] = '';
$properties["use_favicon"] = true;
$properties["favicon_path"] = "images/favicon.ico";
$properties['pg_utils_root_path'] = "{$properties['vas_home']}/server/pgutils";
$properties['sign_up_domain_forbidden'] = false; // array('yopmail.fr','yopmail.net','yopmail.com','cool.fr.nf','jetable.fr.nf','nospam.ze.tc','nomail.xl.cx','mega.zik.dj','speed.1s.fr','courriel.fr.nf','moncourrier.fr.nf','monemail.fr.nf','monmail.fr.nf','nwytg.com', 'vmani.com', 'emailna.co');
// remplacer par un array de domaine comme forbidden pour n'autoriser que certain domaine à s'inscrire
$properties['sign_up_domain_granted'] = false; // array('gmail.com');
// properties d'accés au service de notification
$properties["notifierDeploymentName"] = "test";
$properties["notifierAccessKeyAccount"] = "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX";
$properties["notifierSecretKeyAccount"] = "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX";
?>
